## javanet.staxutils
Class SimpleLocation

    java.lang.Object
      javanet.staxutils.SimpleLocation

All Implemented Interfaces:
  ExtendedLocation, StaticLocation, Location

    public class SimpleLocation

extends Object
implements ExtendedLocation, StaticLocation

Basic implementation of `ExtendedLocation`.

Version:
  $Revision: 1.2 $
Author:
  Christian Niles

Constructor Summary
`SimpleLocation(Location loc)`
`SimpleLocation(String publicId, String systemId, int lineNumber, int columnNumber, int characterOffset, Location nestedLocation)`
`SimpleLocation(String publicId, String systemId, int lineNumber, int columnNumber, Location nestedLocation)`
`SimpleLocation(String publicId, String systemId, int lineNumber, Location nestedLocation)`

Method Summary
`int` `getCharacterOffset()`
`int` `getColumnNumber()`
`int` `getLineNumber()`
`Location` `getNestedLocation()` Returns a nested `Location`.
`String` `getPublicId()`
`String` `getSystemId()`
`String` `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### SimpleLocation

    public SimpleLocation(String publicId,
                          String systemId,
                          int lineNumber,
                          Location nestedLocation)

### SimpleLocation

    public SimpleLocation(String publicId,
                          String systemId,
                          int lineNumber,
                          int columnNumber,
                          Location nestedLocation)

### SimpleLocation

    public SimpleLocation(String publicId,
                          String systemId,
                          int lineNumber,
                          int columnNumber,
                          int characterOffset,
                          Location nestedLocation)

### SimpleLocation

    public SimpleLocation(Location loc)

Method Detail

### getCharacterOffset

    public int getCharacterOffset()

  Specified by:
    `getCharacterOffset` in interface `Location`

### getColumnNumber

    public int getColumnNumber()

  Specified by:
    `getColumnNumber` in interface `Location`

### getLineNumber

    public int getLineNumber()

  Specified by:
    `getLineNumber` in interface `Location`

### getPublicId

    public String getPublicId()

  Specified by:
    `getPublicId` in interface `Location`

### getSystemId

    public String getSystemId()

  Specified by:
    `getSystemId` in interface `Location`

### getNestedLocation

    public Location getNestedLocation()

  Description copied from interface: `ExtendedLocation`
  Returns a nested `Location`. Nested locations can be used to locate errors in linked files. This is useful when working with external entities, included files, and so forth.

  Specified by:
    `getNestedLocation` in interface `ExtendedLocation`
  Returns:
    The nested `Location`, or `null`.

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`